<?xml version="1.0" encoding="utf-8" standalone="no"?>
<application xmlns="http://ns.adobe.com/air/application/50.2">
	<id>com.distriqt.test.app1</id>
<!--	<id>com.distriqt.test</id>-->
	<filename>App1</filename>
	<name>App1</name>
	<versionNumber>0.0.1</versionNumber>

	<initialWindow>
		<content>[This value will be overwritten by Flash Builder in the output app.xml]</content>
		<autoOrients>false</autoOrients>
		<fullScreen>false</fullScreen>
		<visible>true</visible>
	</initialWindow>

    <icon>
        <image16x16>icons/icon16x16.png</image16x16>
        <image29x29>icons/icon29x29.png</image29x29>
        <image32x32>icons/icon32x32.png</image32x32>
        <image36x36>icons/icon36x36.png</image36x36>
        <image48x48>icons/icon48x48.png</image48x48>
        <image57x57>icons/icon57x57.png</image57x57>
        <image72x72>icons/icon72x72.png</image72x72>
        <image76x76>icons/icon76x76.png</image76x76>
        <image114x114>icons/icon114x114.png</image114x114>
        <image120x120>icons/icon120x120.png</image120x120>
        <image128x128>icons/icon128x128.png</image128x128>
        <image152x152>icons/icon152x152.png</image152x152>
        <image512x512>icons/icon512x512.png</image512x512>
    </icon>

	<iPhone>
		<InfoAdditions><![CDATA[
			<key>UIDeviceFamily</key>
			<array>
				<string>1</string>
			</array>

			<key>MinimumOSVersion</key>
    		<string>11.0</string>
		]]></InfoAdditions>
		<requestedDisplayResolution>high</requestedDisplayResolution>
		<Entitlements>
			<![CDATA[
				<key>com.apple.security.application-groups</key>
				<array>
					<string>group.com.distriqt.test</string>
				</array>
			]]>
		</Entitlements>
	</iPhone>
	
	<android>
		<manifestAdditions><![CDATA[
			<manifest android:installLocation="auto">

                <uses-sdk android:targetSdkVersion="34" />

				<uses-permission android:name="android.permission.INTERNET"/>
				
				<queries>
					<intent>
						<action android:name="group.com.distriqt.test" />
					</intent>
				</queries>

				<!-- For the content provider and broadcast receiver method -->
				<application>
				
					<meta-data android:name="app_group" android:value="group.com.distriqt.test" />
					<meta-data android:name="app_authority" android:value="group.com.distriqt.authority.app1.provider" />
					<meta-data android:name="app_authority_matcher" android:value="group\\.(?:[a-z,1-9]{1,}\\.)*provider" />

					<provider
						android:name="com.distriqt.extension.appgroupdefaults.provider.SharedProvider"
						android:authorities="group.com.distriqt.authority.app1.provider"
						android:exported="true" >
					</provider>
						
					<receiver
						android:name="com.distriqt.extension.appgroupdefaults.provider.SharedContentChangedReceiver"
						android:enabled="true"
						android:exported="true" >
						<intent-filter>
							<action android:name="group.com.distriqt.test"/>
						</intent-filter>
					</receiver>

					<activity
                        android:name="com.distriqt.extension.permissions.permissions.AuthorisationActivity"
                        android:theme="@android:style/Theme.Translucent.NoTitleBar" />

				</application>
				
				
			</manifest>
		]]></manifestAdditions>
	</android>
		
	<extensions>
		<extensionID>com.distriqt.Permissions</extensionID>
		<extensionID>com.distriqt.AppGroupDefaults</extensionID>
		<extensionID>com.distriqt.Core</extensionID>
	</extensions>
	
</application>
